CheckoutBookings_GetInvoicableCustomers
GET
/v1/booking/checkout/bookings/GetInvoicableCustomers
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/bookings/GetInvoicableCustomers';const options = {method: 'GET', headers: {system: 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/booking/checkout/bookings/GetInvoicableCustomers \ --header 'Authorization: Bearer <token>' \ --header 'system: example'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Query Parameters
Section titled “Query Parameters”query
string
guestIdentifier
string
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
customerId
integer format: int64
contactId
integer format: int64
firstName
string
lastName
string
customerName
string
customerNumber
string
orgNumber
string
phoneNumber
string
email
string
guestIdentifier
string
Examplegenerated
[ { "customerId": 1, "contactId": 1, "firstName": "example", "lastName": "example", "customerName": "example", "customerNumber": "example", "orgNumber": "example", "phoneNumber": "example", "email": "example", "guestIdentifier": "example" }]